package org.springblade.manager.feign;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import lombok.AllArgsConstructor;
import org.springblade.manager.dto.SaveUserInfoByProjectDTO;
import org.springblade.manager.service.SaveUserInfoByProjectService;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
@AllArgsConstructor
public class SaveUserInfoByProjectClientImpl implements SaveUserInfoByProjectClient {

    private final SaveUserInfoByProjectService saveUserInfoByProjectService;

    @Override
    public List<SaveUserInfoByProjectDTO> searchUserInfoAndProject(String userId, String roleId) {
        return saveUserInfoByProjectService.list(
                Wrappers.<SaveUserInfoByProjectDTO>query().lambda()
                        .eq(SaveUserInfoByProjectDTO::getUserId, userId)
                        .eq(SaveUserInfoByProjectDTO::getRoleId, roleId));
    }

    @Override
    public List<SaveUserInfoByProjectDTO> searchUserInfoAndProject2(String userId) {
        return saveUserInfoByProjectService.list(
                Wrappers.<SaveUserInfoByProjectDTO>query().lambda()
                        .eq(SaveUserInfoByProjectDTO::getUserId, userId)
        );
    }
}
